# Get bank Endpoint: GET /banks/{bankId} Version: 1.0.0 Security: Api access ## Path parameters: - `bankId` (string, required) Unique identifier of the bank. Example: "89F7F63B-67C0-4F70-A6BE-898BC211DCA0" ## Query parameters: - `channels` (array) Limit the results to one or more specific channels (e.g. "openbanking"). - `includeAdditionalInformation` (boolean) Set to true if additional information about the bank integration should be included. Used for documentation purposes. ## Header parameters: - `api-version` (string) ## Response 200 fields (application/json): - `id` (string) Unique identifier for the bank Example: "9FBEFB80-27E1-421F-A24F-467334007D39" - `bic` (string) BIC/SWIFT code of the bank Example: "DNBANOKKXXX" - `name` (string) Name of the bank Example: "DNB Bank ASA" - `countryCode` (string) ISO 3166-1 Alpha 2 country code Example: "NO" - `channelType` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `consentProperties` (null,object) Attributes that can be used when creating consents - `logo` (string) Bank logo - `onboarding` (object) - `onboarding.href` (null,string) Link to an external onboarding page that the PSU can be redirected to. - `onboarding.document` (null,string) Link to a document that describes the onboarding process for the bank. - `onboarding.content` (null,string) Onboarding instructions in a renderable format. The content may contain references to consent properties. Example: "Innmelding mot Banken gjøres [ved å besøke denne lenken](https://example.com?receivables={receivables}).\\n\\nVi vil deretter motta nødvenig informasjon fra banken innen kort tid." - `onboarding.contentFormat` (string) Enum: "markdown" ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)